@charset "UTF-8";
@import url("destyle.min.css");
:root {
	--c-black: #222222;
	--c-white: #FFFFFF;
    --c-gray-100: #FAFAFA;
    --c-gray-150: #EFEFEF;
    --c-gray-200: #DCDCDC;
    --c-gray-300: #606060;
    --c-gray-500: #515151;
    --c-light-blue: #F6FBFF;
    --c-blue: #024A8A;
    --c-dark-blue: #003B6E;
    --c-light-orange: #FDF6E1;
    --c-orange: #EA5504;
    --c-red: #C22922;

    --c-text: var(--c-black);
    --c-text-sub: var(--c-gray-300);
    --c-accent: var(--c-blue);
    --c-bg: var(--c-white);
    --c-link: var(--c-blue);
    --c-link-hover: var(--c-dark-blue);
    --c-border: var(--c-gray-200);
    --c-news-update: #C22922;
    --c-news-info: #2257C2;
    --c-news-seminar: #039374;

	--z-fixed: 1030;
	--z-modal: 1050;
	--f-default: "Noto Sans JP Variable", sans-serif;
    --f-en: "Lato", sans-serif;
    --f-marugo: "Zen Maru Gothic", sans-serif;

}

html {
	scroll-behavior: smooth;
	scroll-padding-top: 9.56rem;

    @media (max-width: 1023px) {
        scroll-padding-top: 3.75rem;
    }
}
body {
	position: relative;
	background-color: var(--c-bg);
	color: var(--c-text);
	font-weight: 400;
	line-height: 1.5;
	font-family: var(--f-default);
    font-feature-settings: 'palt' 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
	line-break: strict;
	word-wrap: anywhere;
}
body:has(.gnav[aria-hidden="false"]) {
    @media (max-width: 1023px) {
	    overflow: hidden;
    }
}
img {
	vertical-align: middle;
	max-width: 100%;
	height: auto;
}

.container {
    max-width: calc(67.5rem + 2.5rem);
    margin-inline: auto;
    padding-inline: 1.25rem;
}

/* header */
.skip-anchor {
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: calc(var(--z-fixed) + 1);
    background-color: var(--c-white);
    color: var(--c-link);
    white-space: nowrap;

    &:not(:focus) {
        clip-path: inset(50%) !important;
        margin: -1px !important;
        border: 0 !important;
        padding: 0 !important;
        width: 1px !important;
        height: 1px !important;
        overflow: hidden !important;
    }
}

.header {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    z-index: var(--z-fixed);

    &:has(.gnav[aria-hidden="false"])::before {
        @media (max-width: 1023px) {
            content: '';
            position: fixed;
            inset: 0;
            background-color: rgba(0,0,0,0.2);
            z-index: -1;
        }
    }

    .header__top {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-block: 1.375rem 1.4375rem;
        padding-inline: clamp(1.25rem, 4.31vw, 3.875rem) clamp(1.25rem, 3.82vw, 3.438rem);
        border-bottom: 1px solid var(--c-border);
        background-color: var(--c-white);

        @media (max-width: 1023px) {
            height: 3.75rem;
            overflow: hidden;
            padding-block: 0;
            padding-inline-end: 0;
        }
    }

    .header__logo-group {
        display: flex;
        align-items: center;
        column-gap: clamp(1rem, 2.5vw, 2.25rem);
        margin-inline-end: clamp(1rem, 2.5vw, 2.25rem);
    }

    .header__logo {
        display: block;
        flex-shrink: 0;
        width: clamp(6.25rem, 10.42vw, 9.375rem);
    }

    .header__tagline {
        max-width: 30em;
        font-family: var(--f-marugo);
        font-weight: 500;
        font-size: clamp(0.5rem, 1.11vw, 1rem);
        line-height: 1.4375;
    }
}

.header__btn-group {
    display: flex;
    align-items: center;
    gap: 0.5rem 1rem;
    flex-shrink: 0;

    @media (max-width: 1023px) {
        flex-direction: column;
        align-items: flex-start;
    }

    .btn {
        padding-block: 0.75rem;

        @media (max-width: 1023px) {
            width: 100%;
        }
    }
}

.gnav {
    background-color: var(--c-gray-100);
    padding-block: 0.8125rem;

    @media (max-width: 1023px) {
        padding-block-end: 1.5rem;
        max-height: calc(100vh - 3.75rem);
        overflow-y: scroll;
        position: absolute;
        top: calc(3.75rem + 1px);
        left: 0;
        right: 0;

        &[aria-hidden="true"] {
            display: none;
        }
    }

    @media (min-width: 768px) {
        left: auto;
        min-width: 20rem;
    }

    .gnav__list {
        display: flex;
        align-items: flex-start;
        column-gap: 3.625rem;
        justify-content: center;

        @media (max-width: 1023px) {
            flex-direction: column;
            margin-block-end: 1.5rem;
        }

        > li {
            @media (max-width: 1023px) {
                width: 100%;
            }

            a {
                display: block;
                position: relative;
                font-size: 0.875rem;
                font-weight: 500;
                white-space: nowrap;
                padding-block: 0.5rem;

                @media (max-width: 1023px) {
                    border-block-end: 1px solid var(--c-border);
                }

                @media (hover: hover) {
                    transition: color 0.3s ease-out;
                    will-change: color;
                    &:hover {
                        color: var(--c-link-hover);
                    }
                }

                &.current {
                    color: var(--c-accent);
                    @media (min-width: 1024px) {
                        &::after {
                            content: '';
                            position: absolute;
                            bottom: 0.125rem;
                            left: 0;
                            width: 100%;
                            height: 2px;
                            background-color: currentColor;
                        }
                    }
                }
            }
        }
    }
}

.gnav__toggle {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    flex-shrink: 0;
    row-gap: 0.25rem;
    width: 3.75rem;
    height: 3.75rem;

    > span {
        display: block;
        width: 1.5rem;
        height: 0.125rem;
        background-color: var(--c-accent);
        will-change: rotate, opacity;
    }

    &[aria-expanded="true"] > span {
        &:nth-of-type(1) {
            rotate: 45deg;
        }
        &:nth-of-type(2) {
            display: none;
        }
        &:nth-of-type(3) {
            rotate: -45deg;
            margin-block-start: calc(-0.25rem - 0.125rem);
        }
    }
}

/* footer */
.footer {
    margin-block-start: 5.75rem;
    padding-block: 1.19rem;
    color: var(--c-white);
    background-color: var(--c-gray-500);
}
.footer__nav__list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 2rem;

    a {
        display: flex;
        align-items: center;
        column-gap: 1.12rem;
        padding-block: 0.5rem;
        font-weight: 500;
        font-size: 0.875rem;
        line-height: 1.5;

        @media (hover: hover) {
            transition: opacity 0.3s ease-out;
            will-change: opacity;
            &:hover {
                opacity: 0.7;
            }
        }
    }

    .footer__nav__icon {
        flex-shrink: 0;
        filter: brightness(0) invert(1);
    }
}

/* main */
.main {
    padding-block-start: 9.56rem;
    @media (max-width: 1023px) {
        padding-block-start: 3.75rem
    }
}

.main__header {
    margin-block-end: 4.31rem;
    padding-block: 4rem;
    background-color: var(--c-accent);
    color: var(--c-white);

    @media (max-width: 1023px) {
        padding-block: 2.5rem;
    }

    .main__title {
        text-align: center;
        font-weight: 700;
        font-size: 2.375rem;
        line-height: 1.5;
        @media (max-width: 1023px) {
            font-size: 1.5rem;
        }
    }
}

/* display */
.visually-hidden {
	position: absolute !important;
    clip-path: inset(50%) !important;
    margin: -1px !important;
    border: 0 !important;
    padding: 0 !important;
    width: 1px !important;
    height: 1px !important;
    overflow: hidden !important;
    white-space: nowrap !important;
}

.d-sp-none {
    @media (max-width: 1023px) {
        display: none !important;
    }
}

.d-pc-none {
    @media (min-width: 1024px) {
        display: none !important;
    }
}

.br-pc-tab-except-1024 {
    display: none;
}

@media (min-width: 768px) and (max-width: 1022px) {
    .br-pc-tab-except-1024 {
        display: inline;
    }
}

@media (min-width: 1280px) {
    .br-pc-tab-except-1024 {
        display: inline;
    }
}

/* link */
.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 0.9375rem;
    padding: 0.875rem 1.625rem;
    width: fit-content;
    border-radius: 0.375rem;
    font-weight: 700;
    font-size: 0.875rem;
    letter-spacing: 0.04em;
    color: var(--c-white);
    white-space: nowrap;
    position: relative;

    @media (max-width: 767px) {
        width: 100%;
    }

    .btn__icon {
        width: 1.3125rem;
        height: 1.3125rem;
        flex-shrink: 0;
    }
}

.btn--fill {
    background-color: var(--c-link);
    @media (hover: hover) {
        transition: background-color 0.3s ease-out;
        will-change: background-color;
        &:hover {
            background-color: var(--c-link-hover);
        }
    }

    .btn__icon[src*="icon_pdf.svg"] {
        filter: brightness(0) invert(1);
    }

    &.signup {
        background-color: var(--c-orange);
        @media (hover: hover) {
            &:hover {
                background-color: #CB4700;
            }
        }
    }
}

.btn--outline {
    padding: calc(0.75rem - 1px) calc(1.625rem - 1px);
    color: var(--c-link);
    border: 1px solid currentColor;
    background-color: var(--c-white);
    @media (hover: hover) {
        transition: color 0.3s ease-out;
        will-change: color;
        &:hover {
            color: var(--c-link-hover);
        }
    }
}

/* hx */
.heading__primary {
    margin-block-end: 0.62rem;
    color: var(--c-accent);
    text-align: center;
    font-size: 1.5rem;
    font-weight: 700;
    letter-spacing: 0.045rem;
    line-height: 1.5;

    @media (max-width: 1023px) {
        font-size: 1.25rem;
    }
}

.heading__secondary {
    margin-block: 2rem 0.56rem;
    padding-block-end: 0.75rem;
    color: var(--c-accent);
    font-size: 1rem;
    font-weight: 700;
    letter-spacing: 0.03rem;
    line-height: 1.5;
    border-block-end: 1px solid currentColor;
}

.heading__tertiary {
    margin-block: 2rem 0.25rem;
    font-size: 0.9375rem;
    font-weight: 700;
    line-height: 1.73;
}

/* list */
.list--disc {
    margin-inline-start: 1.5em;
    line-height: 1.85;

    > li {
        position: relative;

        &::before {
            content: '';
            width: 0.25rem;
            height: 0.25rem;
            border-radius: 50%;
            background-color: currentColor;
            position: absolute;
            left: -0.875em;
            top: 0.75em;
        }
    }
}

/* note */
.note {
    display: flex;
    align-items: flex-start;

    .mark {
        flex-shrink: 0;
    }
}

.attention {
    font-weight: 700;
    color: #EB0E0E;
}

.text--left {
    text-align: left;
}

/* section */
.section__highlight {
    margin-inline: auto;
    padding: 3.25rem 6.25rem 4.4375rem;
    max-width: 55rem;
    background-color: var(--c-light-blue);
    border-radius: 0.9375rem;
    font-weight: 500;
    line-height: 1.86;

    @media (max-width: 1023px) {
        padding: 2.5rem 1.5rem 3.375rem;
    }

    > *:first-child {
        margin-block-start: 0;
    }
}
